package com.izouma.awesomeadmin.model;

import java.util.*;
import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonInclude;


@JsonAutoDetect
@JsonInclude(JsonInclude.Include.NON_NULL)
public class BannerInfo{
    private Integer id;
    private String delFlag;
    private String title;
    private String subtitle;
    private String image;
    private String newsUrl;
    private Integer rank;
    private Integer hot;
    private String remark;

private String searchKey;

/**
* and,test_name,like,value;or,remark,=,123
*/
private String advancedQuery;

    public Integer getId(){
        return this.id;
    }

    public void setId(Integer id){
        this.id = id;
    }
    public String getDelFlag(){
        return this.delFlag;
    }

    public void setDelFlag(String delFlag){
        this.delFlag = delFlag;
    }
    public String getTitle(){
        return this.title;
    }

    public void setTitle(String title){
        this.title = title;
    }
    public String getSubtitle(){
        return this.subtitle;
    }

    public void setSubtitle(String subtitle){
        this.subtitle = subtitle;
    }
    public String getImage(){
        return this.image;
    }

    public void setImage(String image){
        this.image = image;
    }
    public String getNewsUrl(){
        return this.newsUrl;
    }

    public void setNewsUrl(String newsUrl){
        this.newsUrl = newsUrl;
    }
    public Integer getRank(){
        return this.rank;
    }

    public void setRank(Integer rank){
        this.rank = rank;
    }
    public Integer getHot(){
        return this.hot;
    }

    public void setHot(Integer hot){
        this.hot = hot;
    }
    public String getRemark(){
        return this.remark;
    }

    public void setRemark(String remark){
        this.remark = remark;
    }

public String getSearchKey() {
    return searchKey;
}

public void setSearchKey(String searchKey) {
    this.searchKey = searchKey;
}

public String getAdvancedQuery() {
    return advancedQuery;
}

public void setAdvancedQuery(String advancedQuery) {
    this.advancedQuery = advancedQuery;
}

}

